Project

General

Profile

Issue #3302

Error when upgrading from 5.6.1 to 5.8.2

Added by Darko Kraus 7 months ago. Updated 7 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
configuration
Affected version:
5.8.2
Resolution:
No change required

Description

Hello,

After running strongswan version 5.6.1 on my linux router for almost 2 years now, I decided to update it to the latest version 5.8.2. All the configuration files were intact, the only change was in the binary files and I got the following error as I attempted to start the ipsec:

router:/# ipsec start
/etc/strongswan.d/charon-logging.conf:8: syntax error, unexpected .,
expecting : or '{' or '=' [.]
invalid config file '/etc/strongswan.conf'
abort initialization due to invalid configuration
Starting strongSwan 5.8.2 IPsec [starter]...

Looking at the /etc/strongswan.d/charon-loggin.conf. lines number 7 and 8 are:

  1. <filename> is the full path to the log file.
    /var/log/charon.log {

I was very confused why suddenly the script ipsec does not like my configuration file directive, but it was clear that as I changed the file name to: /var/log/charonlog and...

...I was suddenly able to start the ipsec.

So this is something that obviously changed from somewhere along the line from version 5.6.1 to 5.8.2. My question is if it is a expected behavior or just a mistake in the coding?

Thanks!

Darko

History

#1 Updated by Noel Kuntze 7 months ago

  • Category set to configuration
  • Status changed from New to Feedback
  • Assignee set to Noel Kuntze

See the roadmap, "Dots are not allowed anymore in section names[...]"

#2 Updated by Darko Kraus 7 months ago

Noel Kuntze wrote:

See the roadmap, "Dots are not allowed anymore in section names[...]"

Thank you for the update!

Darko

#3 Updated by Tobias Brunner 7 months ago

  • Status changed from Feedback to Closed
  • Resolution set to No change required

Also available in: Atom PDF